Subject: bug#67715: closed (Re: bug#67715: 28.2; Minibuffer content is sometimes unexpectedly partially hidden)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Mar 2025 09:31:02 +0000

Your bug report

#67715: 28.2; Minibuffer content is sometimes unexpectedly partially hidden

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67715: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67715
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67715: 28.2; Minibuffer content is sometimes unexpectedly partially hidden
From: Eli Zaretskii <[email-masked]>
To: Markus Triska <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 09 Mar 2025 11:29:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Markus Triska <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Tue, 25 Feb 2025 19:00:57 +0100
> 
> Thank you Alan for taking a look at this!
> 
> Alan Mackenzie <[email-masked]> writes:
> 
> > perhaps you could come up with an alternative and better fix to these
> > older bugs, one that would still allow you to change the size of the
> > face in the minibuffer prompt.
> 
> Yes, I agree, it is may hope that I can solve this in a better way in
> the future. Until then, I can work around the problem in the way I
> described and I have nothing further to add, so thank you again!

Thanks, I'm therefore closing this bug.

Subject: 28.2; Minibuffer content is sometimes unexpectedly partially hidden
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Fri, 08 Dec 2023 20:03:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce the issue, please start Emacs with:

    $ emacs -Q

Then put the following form in the *scratch* buffer and evaluate it with
C-x e:

    (let ((f (selected-frame)))
      (with-selected-frame (make-frame)
        (switch-to-buffer (get-buffer-create "other")))
      (select-frame-set-input-focus f)
      (let ((win (get-buffer-window "other" t)))
        (when win
          (with-selected-window win
            (recenter 0)))
        (with-selected-window (minibuffer-window)
          (unwind-protect
              (progn
                (setq-local face-remapping-alist `((default :height 2.0)))
                (insert "hello")
                (read-key))
            (erase-buffer)))))

"hello" is shown in the minibuffer, but it is partially hidden.

For comparison, in Emacs 28.1, "hello" is fully visible.

Can you reproduce this issue, and if possible, could you please restore
the behaviour of Emacs 28.1 and earlier versions for this example?

Thank you and all the best,
Markus

In GNU Emacs 28.2 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2023-12-08 built on mt-book
Windowing system distributor 'The X.Org Foundation', version 11.0.12201003
System Description: Ubuntu 23.10

Configured using:
 'configure --with-x-toolkit=lucid --with-gif=no --with-tiff=no
 --with-gnutls=no'

Configured features:
FREETYPE GMP JPEG LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP
SOUND THREADS TOOLKIT_SCROLL_BARS X11 XDBE XFT XIM XPM LUCID ZLIB

Important settings:
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: de_DE.UTF-8
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix